<?php
namespace Ep\Gath;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'gath.brands'   => Plugin\Brands::class,
            'gath.category' => Plugin\Category::class,
            'gath.images'   => Plugin\Images::class,
            'gath.prices'   => Plugin\Prices::class,
            'gath.product_type' => Plugin\Order\ProductType::class,
            'gath.moto'     => Plugin\MotoProducts::class,
            'gath.products' => Plugin\Products::class,
            'gath.stock'    => Plugin\Stock::class,

            'gath.order.price_info' => Plugin\Order\PriceInfo::class,
            'gath.order.type'       => Plugin\Order\Type::class,
        ],

        'factories' => [
            Plugin\Brands::class   => Plugin\AbstractGathPluginFactory::class,
            Plugin\Category::class => Plugin\AbstractGathPluginFactory::class,
            Plugin\Images::class   => Plugin\AbstractGathPluginFactory::class,
            Plugin\Prices::class   => Plugin\AbstractGathPluginFactory::class,
            Plugin\Products::class => Plugin\ProductsFactory::class,
            Plugin\Stock::class    => Plugin\AbstractGathPluginFactory::class,
            Plugin\MotoProducts::class => Plugin\MotoProductsFactory::class,
            Plugin\Order\PriceInfo::class => Plugin\AbstractGathPluginFactory::class,
            Plugin\Order\ProductType::class => InvokableFactory::class,
            Plugin\Order\Type::class      => Plugin\AbstractGathPluginFactory::class,
        ],
    ],
];