<?php
namespace Ep\Gath\Plugin;

use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;

/**
 * Class SearchFactory
 *
 * @package Ep\Gath\Plugin
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/gath
 */
class ProductsFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $gath = $container->get('gath');
        $logger = $container->get('gath.logger');
        $search = $container->get('search');
        
        $tecdoc = $container->has('tecdoc') ? $container->get('tecdoc') : null;

        return new Products($gath, $logger, $search, $tecdoc);
    }
}