<?php
namespace Ep\Gath\Widget;

use Ep\Wp\View\ViewPluginManager;
use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;
use Zend\ServiceManager\PluginManagerInterface;
use Zend\View\Renderer\RendererInterface;

/**
 * Class SelectMotorcycleFactory
 *
 * @package Gath\Moto\Widget
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/gath-moto
 */
class SelectMotorcycleWidgetFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return object
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $renderer = $container->get(RendererInterface::class);
        /** @var PluginManagerInterface $views */
        $views = $container->get(ViewPluginManager::class);
        $view = $views->get('gath.select_motorcycle');

        return new SelectMotorcycleWidget($renderer, $view);
    }
}